Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface BaseAttribute

All Superinterfaces:
  Feature, GraphicalM4Object, M4Data, M4Object, ParameterObject

All Known Implementing Classes:
  BaseAttribute

    public interface BaseAttribute

extends Feature

Version:
  $Id: BaseAttribute.java,v 1.6 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Field Summary
`static int` | `MAX_LENGTH_OF_ATTRIB_NAME`
`static java.lang.String` | `TYPE_BASE` Concepts and BaseAttributes of type BASE can be used to define a Conceptual Model.
`static java.lang.String` | `TYPE_DB` BaseAttributes of type DB are based directly on a column or a table.
`static java.lang.String` | `TYPE_MINING` BaseAttributes that are the result of an operator are of type MINING.

Method Summary
`void` | `addColumn(Column column)` Add a column to this BaseAttribute's columns.
`BaseAttribute` | `copy()` Makes a copy of this BaseAttribute.
`Column` | `createColumn(java.lang.String name)` Create a Column with the given name and add it to this BaseAttribute's columns.
`Column` | `getColumn(int index)` Get a specific column that belongs to this BaseAttribute.
`java.util.Collection` | `getColumns()`
`long` | `getConceptualDataType()`
`java.lang.String` | `getConceptualDataTypeName()`
`Column` | `getCurrentColumn()` This method replaces "getColumnForColumnSet".
`java.lang.String` | `getDBAttribS()` Getter for the DB Attribute property
`MultiColumnFeature` | `getMCFeature()` If this BaseAttribute belongs to a MultiColumnFeature, get it here.
`java.lang.String` | `getRelevantS()`
`long` | `getRole()`
`java.lang.String` | `getRoleName()`
`Step` | `getStepWhereThisIsOutputBa()` Returns the Step in the Case where this BaseAttribute is created as an output attribute.
`java.lang.String` | `getType()`
`boolean` | `hasColumn(Column col)`
`boolean` | `hasColumns()`
`boolean` | `isDBAttrib()`
`boolean` | `isDeselected()`
`boolean` | `isRelevant()`
`boolean` | `removeColumn(Column column)` Remove a column from this BaseAttribute's columns.
`void` | `setColumns(java.util.Collection theColumns)` Set all columns of this BaseAttribute.
`void` | `setConceptualDataType(long type)` Set the conceptual data type.
`void` | `setConceptualDataTypeName(java.lang.String dtname)` Set the name of the conceptual data type.
`void` | `setDBAttrib(boolean a)` Setter for DBAttrib.
`void` | `setDBAttribS(java.lang.String attrib)` Setter for DBAttrib.
`void` | `setMCFeature(MultiColumnFeature mcf)` If this BaseAttribute belongs to a MultiColumnFeature, set it here.
`void` | `setRelevant(boolean r)` Set the relevance of this BaseAttribute.
`void` | `setRelevantS(java.lang.String r)` Set the relevance of this BaseAttribute.
`void` | `setRole(long role)` Set the role.
`void` | `setRoleName(java.lang.String rolename)` Set the name of the role.
`void` | `setType(java.lang.String type)` The type of the BaseAttribute

Methods inherited from interface edu.udo.cs.miningmart.m4.Feature
`copy, correspondsTo, getConcept, getParameterWhereThisIsOutputFeature, isRelationallyValid, removeLinkToColumns, setConcept`

Methods inherited from interface edu.udo.cs.miningmart.m4.ParameterObject
`addParameterReference, getParameterReferences, removeParameterReference`

Methods inherited from interface edu.udo.cs.miningmart.m4.GraphicalM4Object
`getPoint, setPoint`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### MAX_LENGTH_OF_ATTRIB_NAME

    static final int MAX_LENGTH_OF_ATTRIB_NAME

See Also:
  Constant Field Values

### TYPE_BASE

    static final java.lang.String TYPE_BASE

  Concepts and BaseAttributes of type BASE can be used to define a Conceptual Model.

  See Also:
    Constant Field Values

### TYPE_DB

    static final java.lang.String TYPE_DB

  BaseAttributes of type DB are based directly on a column or a table. They are not the result of some operator.

  See Also:
    Constant Field Values

### TYPE_MINING

    static final java.lang.String TYPE_MINING

  BaseAttributes that are the result of an operator are of type MINING.

  See Also:
    Constant Field Values

Method Detail

### copy

    BaseAttribute copy()
                       throws M4Exception

  Makes a copy of this BaseAttribute.

  Returns:
    A clone of this BaseAttribute, but with Id 0 since it is not written into the database yet.
  Throws:
    `M4Exception`

### addColumn

    void addColumn(Column column)
                   throws M4Exception

  Add a column to this BaseAttribute's columns.

  Parameters:
    `c` - The new column.
  Throws:
    `M4Exception`

### createColumn

    Column createColumn(java.lang.String name)
                        throws M4Exception

  Create a Column with the given name and add it to this BaseAttribute's columns.

  Parameters:
    `name` - name for the Column
  Returns:
    the Columm
  Throws:
    `M4Exception`

### hasColumn

    boolean hasColumn(Column col)
                      throws M4Exception

  Parameters:
    `col` - a `Column`
  Returns:
    `true` if a column with the same ID is already linked to this `BaseAttribute`
  Throws:
    `M4Exception`

### hasColumns

    boolean hasColumns()
                       throws M4Exception

  Returns:
    `true` if at least one column is linked to this `BaseAttribute`
  Throws:
    `M4Exception`

### removeColumn

    boolean removeColumn(Column column)
                         throws M4Exception

  Remove a column from this BaseAttribute's columns.

  Parameters:
    `c` - The column to remove
  Returns:
    `true` if removing succeeded
  Throws:
    `M4Exception`

### setConceptualDataType

    void setConceptualDataType(long type)

  Set the conceptual data type.

  Parameters:
    `type` - The new type.

### getConceptualDataType

    long getConceptualDataType()

  Returns:
    the conceptual data type.

### setConceptualDataTypeName

    void setConceptualDataTypeName(java.lang.String dtname)
                                   throws M4Exception

  Set the name of the conceptual data type.

  Parameters:
    `dtname` - The new name of the conceptual data type.
  Throws:
    `M4Exception`

### getConceptualDataTypeName

    java.lang.String getConceptualDataTypeName()
                                               throws M4Exception

  Returns:
    The name of this BaseAttribute's conceptual data type.
  Throws:
    `M4Exception`

### setRole

    void setRole(long role)

  Set the role.

  Parameters:
    `role` - The new role.

### getRole

    long getRole()
                 throws M4Exception

  Returns:
    the role.
  Throws:
    `M4Exception`

### setRoleName

    void setRoleName(java.lang.String rolename)
                     throws M4Exception

  Set the name of the role.

  Parameters:
    `rolename` - The new name of the role.
  Throws:
    `M4Exception`

### getRoleName

    java.lang.String getRoleName()
                                 throws M4Exception

  Returns:
    The name of this BaseAttribute's role.
  Throws:
    `M4Exception`

### setColumns

    void setColumns(java.util.Collection theColumns)
                    throws M4Exception

  Set all columns of this BaseAttribute.

  Parameters:
    `theColumns` - A `Collection` of `Column` objects
  Throws:
    `M4Exception`

### getColumns

    java.util.Collection getColumns()
                                    throws M4Exception

  Returns:
    The columns that belong to this BaseAttribute.
  Throws:
    `M4Exception`

### getColumn

    Column getColumn(int index)
                     throws M4Exception

  Get a specific column that belongs to this BaseAttribute.

  Parameters:
    `The` - number of the column to be returned.
  Returns:
    The column with the given number.
  Throws:
    `M4Exception`

### getCurrentColumn

    Column getCurrentColumn()
                            throws M4Exception

  This method replaces "getColumnForColumnSet". The current column is the one that belongs to the current columnset of the concept that this BaseAttribute belongs to.

  Returns:
    The current column.
  Throws:
    `M4Exception`
  See Also:
    `Concept`

### getStepWhereThisIsOutputBa

    Step getStepWhereThisIsOutputBa()
                                    throws M4Exception

  Returns the Step in the Case where this BaseAttribute is created as an output attribute.

  Returns:
    a Step
  Throws:
    `M4Exception`

### setMCFeature

    void setMCFeature(MultiColumnFeature mcf)
                      throws M4Exception

  If this BaseAttribute belongs to a MultiColumnFeature, set it here.

  Parameters:
    `mcf` - The MultiColumnFeature this BaseAttribute belongs to.
  Throws:
    `M4Exception`
  See Also:
    `MultiColumnFeature`

### getMCFeature

    MultiColumnFeature getMCFeature()

  If this BaseAttribute belongs to a MultiColumnFeature, get it here.

  Returns:
    The MultiColumnFeature if this BaseAttribute belongs to one, `null` otherwise.
  See Also:
    `MultiColumnFeature`

### isRelevant

    boolean isRelevant()

  Returns:
    TRUE if this BaseAttribute is relevant.

### getRelevantS

    java.lang.String getRelevantS()

  Returns:
    the relevance of this BaseAttribute using the database `String` representation

### setRelevant

    void setRelevant(boolean r)

  Set the relevance of this BaseAttribute.

  Parameters:
    `r` - The new boolean value of the relevance.

### setRelevantS

    void setRelevantS(java.lang.String r)

  Set the relevance of this BaseAttribute.

  Parameters:
    `r` - The value of the relevance in thedatabase `String` representation

### isDBAttrib

    boolean isDBAttrib()

  Returns:
    TRUE if this BaseAttribute is a DB Attribute.

### getDBAttribS

    java.lang.String getDBAttribS()

  Getter for the DB Attribute property

  Returns:
    the boolean flag in its database `String` representation

### setDBAttrib

    void setDBAttrib(boolean a)

  Setter for DBAttrib.

  Parameters:
    `a` - The new boolean value.

### setDBAttribS

    void setDBAttribS(java.lang.String attrib)

  Setter for DBAttrib.

  Parameters:
    `attrib` - The boolean value in its database `String` representation.

### isDeselected

    boolean isDeselected()
                         throws M4CompilerError

  Specified by:
    `isDeselected` in interface `Feature`
  Returns:
    `true` iff this `BaseAttribute` has been "deselected" by a `FeatureSelection` operator or has not been connected by the user.
  Throws:
    `M4CompilerError`

### setType

    void setType(java.lang.String type)
                 throws M4Exception

  The type of the BaseAttribute

  Throws:
    `M4Exception`
  See Also:
    `TYPE_BASE`, `TYPE_DB`, `TYPE_MINING`

### getType

    java.lang.String getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005